题目来源：csaw-ctf-2016-quals
题目描述：只有真正的hacker才能看到这张图片
题目场景：[点击获取在线场景]

$ base64 -d a.txt > data
$ python a.py (运行出错)
$ mcs a.cs && ./a.exe
89-50-4E-47-0D-0A-1A-0A-00-00-00-0D-49-48-44-52
57-6F-41-68-5F-41-5F-4B-65-79-21-3F-57-6F-41-68
WoAh_A_Key!?WoAh
WoAh_A_Key!?
57-6F-41-68-5F-41-5F-4B-65-79-21-3F
Write: 126909 bytes
$ xdg-open a.png
flag{l4zy_H4CK3rs_d0nt_g3T_MAg1C_FlaG5}


https://www.cnblogs.com/coming1890/p/13598809.html

1. 题目信息

点击还原比赛场景后，会给出镜像服务器的ip以及连接端口。且提示：“只有真正的hacker才能看到这张图片”
2. 分析

连接上服务器之后，服务器返回的数据看上去像base64编码，对此，解码即可；根据题目的提示，flag藏在图片中，解码后文件头数据不是png,jpg,bmp文件头格式(说明不是直接解码这么简单)，也不是zip,rar,7z文件头格式(说明不是将图片加密压缩)；实际上，原比赛的此题还有一个Python脚本，大致意思是使用长度为12的密钥与图片数据进行(循环)异或加密，有了这个信息之后，尝试使用各种图片格式的文件头与加密数据进行异或得到密钥，使用png格式的文件头与加密数据进行异或时，得到的结果“很像”密钥；接下来使用密钥解密即可。
3. 解题

首先从服务器接收全部的数据，再进行base64解码(将解码后的数据存入文件data)；

然后通过png文件头解出密钥，然后通过密钥解密，实现的Python脚本如下：
（见 a.py）
